Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	RenderMan(tm) compliant 3D renderer
Name:		aqsis
Version:	1.6.0
Release:	1	
License:	GPL/LGPL
URL:		http://www.aqsis.org
Group:		Graphics
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: boost-devel
BuildRequires: fltk-devel
BuildRequires: glibc-devel
BuildRequires: ilmbase-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: OpenEXR-devel
BuildRequires: zlib-devel

%description
Aqsis is a high quality, photorealistic, 3D rendering solution. It complies with the RenderMan interface standard defined by Pixar.

The RenderMan standard has been used in film and television visual effects since it's introduction in 1989. Pixar has used their own implementation for all of their award winning CG features, and provided their implementation for use in the visual effects of most major blockbuster films over the last 2 decades. The Aqsis project offers a way for individuals and organistaions alike to gain experience with the RenderMan interface without the cost of commercial software licenses.

Aqsis comprises a command line rendering tool, a tool for compiling shaders in the RSL language, a tool for preparing textures for optimal use, and various developer libraries to enable integration with third party tools.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%prep
%setup -n %{name}-%{version}
#%patch0 -p1

%pre
ldconfig

%post
ldconfig

%build
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix} -DSYSCONFDIR:STRING=%{_sysconfdir}/aqsis
make %{?_smp_mflags}
popd build

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT 
popd build
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/aqsis
%_bindir/aqsl
%_bindir/aqsltell
%_bindir/eqsl
%_bindir/miqser
%_bindir/piqsl
%_bindir/teqser
%_libdir/libaqsis_*.so*
%_libdir/aqsis/
%_sysconfdir/aqsis/aqsisrc
%_datadir/aqsis/
%_datadir/applications/aqsis.desktop
%_datadir/applications/aqsl.desktop
%_datadir/applications/aqsltell.desktop
%_datadir/applications/eqsl.desktop
%_datadir/applications/piqsl.desktop
%_datadir/icons/hicolor/192x192/mimetypes/aqsis-doc.png
%_datadir/mime/packages/aqsis.xml
%_datadir/pixmaps/aqsis.png

%files devel
%defattr(-,root,root)
%_includedir/aqsis/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.6.0-1
- Version update
* Fri Sep 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.4.2-1
- Version update
* Fri Dec 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-2
- rebuilt against OpenEXR 1.6.1 / ilmbase 1.0.1
* Tue Aug 28 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Initial Release
